package com.goafanti.cognizance.service;

import java.util.List;

import com.goafanti.common.model.OrgTechProduct;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgTechProductService {

	Pagination<OrgTechProduct> listTechProduct(Integer pNo, Integer pSize, String userId);

	OrgTechProduct insert(OrgTechProduct orgTechProduct);

	int updateByPrimaryKeySelective(OrgTechProduct orgTechProduct);

	int deleteByPrimaryKey(List<String> id);

	OrgTechProduct selectByPrimaryKey(String id);

	OrgTechProduct findBySerialNumberAndUid(String serialNumber, String userId);

}
